Skip to Content

Archived discussions are read-only. Learn more about SAP Q&A

Upgrading from 1.3 SP 02 to 1.4


Hi colleagues,

I have switched to DS1.4 and was planning to setup my environment for SDK component development. However, after going through all the steps, when I try to run the plug-in as 'SDK' (configuration from dev guide) I get the following error:

java.lang.UnsatisfiedLinkError: no sapjco3 in java.library.path

Otherwise, Design Studio runs perfectly independently, only showing the following entry in the log related to the previously mentioned error:

Could not bind a reference of component com.sap.ip.bi.base.application.DeclaredServiceActivator. The reference is: Reference[name = IActivatorBase, interface = com.sap.ip.bi.base.bundle.IActivatorBase, policy = dynamic, cardinality = 0..n, target = null, bind = addRICActivator, unbind = removeRICActivator]

Did anyone else come across this issue? Any solution for it?

Thank you!

Former Member
replied

Alina - a patch for 1.4 was released December 19 to address some SDK issues; did you apply that patch?

1 View this answer in context
Not what you were looking for? View more on this topic or Ask a question